<?php
include 'conexion.php'; // Conectar a la BD

// Obtener los valores del formulario
$usuario_id = $_POST['usuario_id'];
$Nombre_Actividad = $_POST['Nombre_Actividad'];
$Fecha_Registro = date("Y-m-d H:i:s"); // Fecha y hora actuales

// Crear consulta SQL para insertar datos en la tabla 'actividades'
$sql = "INSERT INTO actividades (Nombre_Actividad, Fecha_Registro, Id_Usuario) VALUES (?, ?, ?)";

// Preparar y ejecutar la consulta
if ($stmt = $conn->prepare($sql)) {
    $stmt->bind_param("ssi", $Nombre_Actividad, $Fecha_Registro, $usuario_id);
    
    if ($stmt->execute()) {
        //echo "Actividad registrada exitosamente.";
        header("Location: VerActividades.php?mensaje=registrado");
            exit;
    } else {
        echo "Error al registrar la actividad: " . $stmt->error;
    }

    $stmt->close();
} else {
    echo "Error en la preparación de la consulta: " . $conn->error;
}

// Cerrar conexión
$conn->close();
?>
