<?php
include 'conexion.php';

// Obtener datos del formulario
$Id_Usuario = mysqli_real_escape_string($conn, $_POST['Id_Usuario']);
$Placa_Vehiculo = mysqli_real_escape_string($conn, $_POST['Placa_Vehiculo']);
$Tipo_Vehiculo = mysqli_real_escape_string($conn, $_POST['Tipo_Vehiculo']);
$Marca_Vehiculo = mysqli_real_escape_string($conn, $_POST['Marca_Vehiculo']);
$Color_Vehiculo = mysqli_real_escape_string($conn, $_POST['Color_Vehiculo']);
$Modelo_Vehiculo = mysqli_real_escape_string($conn, $_POST['Modelo_Vehiculo']);
$Kilometraje = mysqli_real_escape_string($conn, $_POST['Kilometraje']);
$Cilindraje = mysqli_real_escape_string($conn, $_POST['Cilindraje']);
$Fecha_SOAT = mysqli_real_escape_string($conn, $_POST['Fecha_SOAT']);
$Fecha_Tecnomecanica = mysqli_real_escape_string($conn, $_POST['Fecha_Tecnomecanica']);
$Fecha_Registro = date("Y-m-d H:i:s"); // Fecha y hora actual

// Manejo del archivo de la foto
$directorioDestino = "imagenes/"; // Carpeta donde se guardará la foto
$fotosNombre = $_FILES['Fotos']['name'];
$fotosTmp = $_FILES['Fotos']['tmp_name'];
$extensionFoto = pathinfo($fotosNombre, PATHINFO_EXTENSION);
$fotosNombreGuardado = basename($Placa_Vehiculo) . '.' . $extensionFoto; // Genera un nombre único para evitar duplicados

// Mover la foto al directorio de destino
if (move_uploaded_file($fotosTmp, "imagenes/" . $fotosNombreGuardado)) {
    $fotosNombreGuardadoBD = mysqli_real_escape_string($conn, $fotosNombreGuardado); // Ruta guardada en la BD
} else {
    echo "Error al subir la foto.";
    exit;
}

// Insertar datos en la base de datos
$sql = "INSERT INTO vehiculos (Placa_Vehiculo, Tipo_Vehiculo, Marca_Vehiculo, Color_Vehiculo, Modelo_Vehiculo, Kilometraje, Cilindraje, Fotos, Fecha_SOAT, Fecha_Tecnomecanica, Fecha_Registro, Id_Usuario)
        VALUES ('$Placa_Vehiculo', '$Tipo_Vehiculo', '$Marca_Vehiculo', '$Color_Vehiculo', '$Modelo_Vehiculo', '$Kilometraje', '$Cilindraje', '$fotosNombreGuardadoBD', '$Fecha_SOAT', '$Fecha_Tecnomecanica', '$Fecha_Registro', '$Id_Usuario')";

if (mysqli_query($conn, $sql)) {
    //echo "Registro guardado correctamente.";
    header("Location: VerVehiculos.php"); // Redirigir después de una actualización exitosa
        exit();
} else {
    echo "Error: " . $sql . "<br>" . mysqli_error($conn);
}

// Cerrar conexión
mysqli_close($conn);
?>