<?php
include 'conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $nro_registro = $_POST['Nro_Registro'];
    $tipo_actividad = $_POST['Tipo_Actividad'];
    $valor_actividad = $_POST['Valor_Actividad'];
    $fecha_actividad = $_POST['Fecha_Actividad'];
    $lugar_actividad = $_POST['Lugar_Actividad'];
    $kilometraje_actividad = $_POST['Kilometraje_Actividad'];
    $observaciones = $_POST['Observaciones'];

    // Consulta para actualizar el gasto
    $sql = "UPDATE gastos 
            SET Tipo_Actividad = ?, 
                Valor_Actividad = ?, 
                Fecha_Actividad = ?, 
                Lugar_Actividad = ?, 
                Kilometraje_Actividad = ?, 
                Observaciones = ?
            WHERE Nro_Registro = ?";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iissisi", $tipo_actividad, $valor_actividad, $fecha_actividad, $lugar_actividad, $kilometraje_actividad, $observaciones, $nro_registro);

    if ($stmt->execute()) {
        header("Location: VerGastos.php?mensaje=modificado");
        exit;
    } else {
        echo "Error al modificar el gasto: " . $conn->error;
    }

    $stmt->close();
}
$conn->close();
?>