<?php
include 'conexion.php'; // Conectar a la BD

// Obtener los valores del formulario
$Tipo_Actividad = $_POST['Tipo_Actividad'];
$Valor_Actividad = $_POST['Valor_Actividad'];
$Fecha_Actividad = $_POST['Fecha_Actividad'];
$Lugar_Actividad = $_POST['Lugar_Actividad'];
$Kilometraje_Actividad = $_POST['Kilometraje_Actividad'];
$Observaciones = $_POST['Observaciones'];
$Id_Vehiculo = $_POST['Id_Vehiculo'];
$Fecha_Registro = date("Y-m-d H:i:s"); // Fecha y hora actuales

// Crear consulta SQL para insertar datos en la tabla 'gastos'
$sql = "INSERT INTO gastos (Tipo_Actividad, Valor_Actividad, Fecha_Actividad, Lugar_Actividad, Kilometraje_Actividad, Observaciones, Id_Vehiculo, Fecha_Registro) VALUES (?, ?, ?, ?, ?, ?, ?, ?)";

// Preparar y ejecutar la consulta
if ($stmt = $conn->prepare($sql)) {
    $stmt->bind_param("iissisis", $Tipo_Actividad, $Valor_Actividad, $Fecha_Actividad, $Lugar_Actividad, $Kilometraje_Actividad, $Observaciones, $Id_Vehiculo, $Fecha_Registro);
    
    if ($stmt->execute()) {
        //echo "Gasto registrado exitosamente.";
        header("Location: VerGastos.php?mensaje=registrado");
            exit;
    } else {
        echo "Error al registrar el gasto: " . $stmt->error;
    }

    $stmt->close();
} else {
    echo "Error en la preparación de la consulta: " . $conn->error;
}

// Cerrar conexión
$conn->close();
?>
