-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 06-12-2024 a las 19:43:17
-- Versión del servidor: 10.4.32-MariaDB
-- Versión de PHP: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `registro`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `actividades`
--

CREATE TABLE `actividades` (
  `Nro_Actividad` int(11) NOT NULL,
  `Nombre_Actividad` varchar(50) NOT NULL,
  `Fecha_Registro` datetime NOT NULL,
  `Id_Usuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `actividades`
--

INSERT INTO `actividades` (`Nro_Actividad`, `Nombre_Actividad`, `Fecha_Registro`, `Id_Usuario`) VALUES
(1, 'Actividad Uno', '2024-11-07 16:43:45', 1),
(2, 'Otra actividad 2', '2024-11-07 16:47:59', 2),
(5, 'Reparación motor', '2024-11-26 16:20:27', 1),
(6, 'Cambio panoramico', '2024-12-06 19:39:55', 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `gastos`
--

CREATE TABLE `gastos` (
  `Nro_Registro` int(11) NOT NULL,
  `Tipo_Actividad` int(11) NOT NULL,
  `Valor_Actividad` int(11) NOT NULL,
  `Fecha_Actividad` date NOT NULL,
  `Lugar_Actividad` varchar(50) NOT NULL,
  `Kilometraje_Actividad` int(11) NOT NULL,
  `Observaciones` varchar(100) NOT NULL,
  `Id_Vehiculo` int(11) NOT NULL,
  `Fecha_Registro` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `gastos`
--

INSERT INTO `gastos` (`Nro_Registro`, `Tipo_Actividad`, `Valor_Actividad`, `Fecha_Actividad`, `Lugar_Actividad`, `Kilometraje_Actividad`, `Observaciones`, `Id_Vehiculo`, `Fecha_Registro`) VALUES
(1, 5, 10500, '2024-11-08', 'Finca', 1400, 'Ninguna', 2, '2024-11-07 16:53:30'),
(2, 2, 14200, '2024-11-13', 'Casa', 100, 'Ninguna', 1, '2024-11-16 15:35:39'),
(4, 1, 123, '2024-11-06', 'sfasdf', 150, 'asdg ', 1, '2024-11-26 15:59:00'),
(5, 2, 12000, '2024-12-11', 'Taller Centro', 1200, 'Cambio aceite', 5, '2024-12-06 19:27:41');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `id` int(11) NOT NULL,
  `nombre_completo` varchar(255) NOT NULL,
  `telefono` varchar(20) NOT NULL,
  `correo` varchar(100) NOT NULL,
  `contrasena` varchar(255) NOT NULL,
  `Cod_Verificacion_Correo` varchar(6) NOT NULL,
  `Correo_Verificado` varchar(6) NOT NULL,
  `Cod_Verificacion_telefono` varchar(7) NOT NULL,
  `telefono_Verificado` varchar(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`id`, `nombre_completo`, `telefono`, `correo`, `contrasena`, `Cod_Verificacion_Correo`, `Correo_Verificado`, `Cod_Verificacion_telefono`, `telefono_Verificado`) VALUES
(1, 'Jhon Montoya', '3217681051', 'jhon.montoya@ucp.edu.co', '$2y$10$TftZ/u1x2Qf9qfIyYyFexu2efYN8rZ7gpXFqrMlpdYUA0AjEZjADC', '708094', '1', '724622', '1'),
(2, 'Cristopher', '3127693528', 'cdmontoya@unitecnica.net', '$2y$10$6HNXc848tog1Xn9BsYHktOZNGvxYOWinEn5fiRjFby1ictl14xNUm', '532607', '1', '808938', '1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `vehiculos`
--

CREATE TABLE `vehiculos` (
  `Id_Vehiculo` int(11) NOT NULL,
  `Placa_Vehiculo` varchar(6) NOT NULL,
  `Tipo_Vehiculo` varchar(15) NOT NULL,
  `Marca_Vehiculo` varchar(30) NOT NULL,
  `Color_Vehiculo` varchar(15) NOT NULL,
  `Modelo_Vehiculo` int(11) NOT NULL,
  `Kilometraje` int(11) NOT NULL,
  `Cilindraje` int(11) NOT NULL,
  `Fotos` varchar(100) NOT NULL,
  `Fecha_SOAT` date NOT NULL,
  `Fecha_Tecnomecanica` date NOT NULL,
  `Fecha_Registro` datetime NOT NULL,
  `Id_Usuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `vehiculos`
--

INSERT INTO `vehiculos` (`Id_Vehiculo`, `Placa_Vehiculo`, `Tipo_Vehiculo`, `Marca_Vehiculo`, `Color_Vehiculo`, `Modelo_Vehiculo`, `Kilometraje`, `Cilindraje`, `Fotos`, `Fecha_SOAT`, `Fecha_Tecnomecanica`, `Fecha_Registro`, `Id_Usuario`) VALUES
(1, 'LHO73C', 'Motocicleta', 'Renault', 'Negro', 2011, 1500, 1582, 'LHO73C.jpg', '2024-10-28', '2024-10-30', '2024-11-14 16:39:12', 1),
(2, 'PEF813', 'Automóvil', 'Chevrolet', 'Blanco', 2188, 16000, 2000, 'PEF813.jpg', '2024-11-04', '2024-11-04', '2024-11-07 16:27:43', 1),
(3, 'PEF512', 'Ciclomotor', 'Mazda', 'Gris', 2018, 1200, 500, 'PEF813.png', '2024-11-28', '2024-11-13', '2024-11-15 16:57:40', 2),
(5, 'LHO73D', 'Camioneta', 'BMW Group', 'Azul', 2025, 1000, 2000, 'LHO73D.jpg', '2024-12-04', '2024-12-04', '2024-12-06 19:20:57', 2);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `actividades`
--
ALTER TABLE `actividades`
  ADD PRIMARY KEY (`Nro_Actividad`),
  ADD KEY `fk_id_usuario_actividad` (`Id_Usuario`);

--
-- Indices de la tabla `gastos`
--
ALTER TABLE `gastos`
  ADD PRIMARY KEY (`Nro_Registro`),
  ADD KEY `fk_tipo_actividad` (`Tipo_Actividad`),
  ADD KEY `fk_Id_Vehiculo` (`Id_Vehiculo`);

--
-- Indices de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `correo` (`correo`);

--
-- Indices de la tabla `vehiculos`
--
ALTER TABLE `vehiculos`
  ADD PRIMARY KEY (`Id_Vehiculo`),
  ADD KEY `fk_id_usuario` (`Id_Usuario`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `actividades`
--
ALTER TABLE `actividades`
  MODIFY `Nro_Actividad` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT de la tabla `gastos`
--
ALTER TABLE `gastos`
  MODIFY `Nro_Registro` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de la tabla `vehiculos`
--
ALTER TABLE `vehiculos`
  MODIFY `Id_Vehiculo` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `actividades`
--
ALTER TABLE `actividades`
  ADD CONSTRAINT `fk_id_usuario_actividad` FOREIGN KEY (`Id_Usuario`) REFERENCES `usuarios` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `vehiculos`
--
ALTER TABLE `vehiculos`
  ADD CONSTRAINT `fk_id_usuario` FOREIGN KEY (`Id_Usuario`) REFERENCES `usuarios` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
