<?php
session_start();

// Conexión a la base de datos
include 'conexion.php';

// Procesar el formulario
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $correo = mysqli_real_escape_string($conn, $_POST['correo']);
    $contrasena = $_POST['contrasena'];

    // Consulta para verificar las credenciales
    $sql = "SELECT * FROM usuarios WHERE correo = '$correo'";
    $result = mysqli_query($conn, $sql);

    if (mysqli_num_rows($result) > 0) {
        $row = mysqli_fetch_assoc($result);
        // Verifica la contraseña
        if (password_verify($contrasena, $row['contrasena'])) {
            // Validar la existencia del correo electrónico
            if ($row['Correo_Verificado'] == 0) {
                $_SESSION['correo'] = $row['correo'];
                header("Location: verificacion_correo.php");
                exit();
            }
            // Validar la existencia del teléfono
            if ($row['telefono_Verificado'] == 0) {
                $_SESSION['telefono'] = $row['telefono'];
                header("Location: verificacion_telefono.php");
                exit();
            }
            // Si el correo y teléfono están verificados
            $_SESSION['usuario_id'] = $row['id'];
            header("Location: pagina_principal.php");
            exit();
        }
    }

    // Credenciales incorrectas
    header("Location: login.php?error=Usuario o contraseña incorrectos");
    exit();
}

mysqli_close($conn);
?>
